package de.pincservices.template;

import java.util.List;
import java.util.Map;

public interface TemplateEngine {

    void initConfiguration(List<TemplateDirective> templateDirectives) throws Exception;

	String replacePlaceholdersInText(String raw, Map<String, Object> parameters) throws Exception;

	String replacePlaceholdersInFile(String templateFile, Map<String, Object> parameters) throws Exception;

}