package de.pincservices.pdf;


import java.io.OutputStream;
import java.util.List;

public interface Renderer {

    public void createFromContent(String content, String destinationFilename, String externalResourcesBaseUrl);
    public void createFromContent(List<String> pages, String destinationFilename, String externalResourcesBaseUrl);
    public void createFromContent(List<String> pages, OutputStream outputStream, String externalResourcesBaseUrl);
}
