package de.pincservices.pdf;

import de.pincservices.pdf.renderer.ITextPdfRenderer;
import org.junit.Test;

import java.util.Arrays;

public class ItextRendererTest {

    @Test
    public void testCreateFromContents() throws Exception {
        final ITextPdfRenderer ITextPdfRenderer = new ITextPdfRenderer();
        final StringBuilder builder = new StringBuilder();
        builder.append("<html><body>Tabletest2<br /><table border=\"1\">");
        for (int i = 0; i < 200; i++) {
            builder.append("<tr><td>line " + i + "</td></tr>");
        }
        builder.append("</table></body></html>");

        String[] pages = new String[2];
        pages[0] = builder.toString();
        pages[1] = "<html><body>Folgeseite</body></html>";
        ITextPdfRenderer.createFromContent(Arrays.asList(pages), "test.pdf", null);
    }
}
